/**
 * SquareTest is an application which demonstrates the complete
 * functionality of the Square class.
 *
 * CS103 - Homework 05 Solution
 *
 * @author  Randy Phillips
 * @version 1.0
 */

public class SquareTest
{
	public static void main(String[] args)
	{
		// declare two objects of type: Square
		Square squareOne = new Square(),
		       squareTwo = new Square();

		// set the length of the side for each Square object
		squareOne.setSide(5);
		squareTwo.setSide(7);

		// print the length of the side, perimeter and area for
		// each Square object
		System.out.println(
			"Square 1 has side      = " + squareOne.getSide() + "\n" +
			"Square 1 has perimeter = " + squareOne.getPerimeter() + "\n" +
			"Square 1 has area      = " + squareOne.getArea() +
			"\n"
		);

		System.out.println(
			"Square 2 has side      = " + squareTwo.getSide() + "\n" +
			"Square 2 has perimeter = " + squareTwo.getPerimeter() + "\n" +
			"Square 2 has area      = " + squareTwo.getArea() +
			"\n"
		);

		// compare the two Square objects and print the result
		if (squareOne.equals(squareTwo))
			System.out.println("Square 1 equals Square 2");
		else
			System.out.println("Square 1 does not equal Square 2");

	}
}